<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
EdmDataPropertyType Enumeration
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : EdmDataPropertyType Enumeration

Visual Basic
C#
C++/CLI
Property types; used in calls to IEdmData::Get and IEdmData::Set.

# Syntax

Visual Basic |
--- | ---

    Public Enum EdmDataPropertyType
       Inherits System.Enum

C# |
--- | ---

    public enum EdmDataPropertyType : System.Enum

C++/CLI |
--- | ---

    public enum class EdmDataPropertyType : public System.Enum

# Members

Member | Description
--- | ---
EdmProp_ID | 1 = Database ID
EdmProp_LinkPath | 8 = Path to linked file
EdmProp_Name | 4 = Name of a file, folder, variable, etc.
EdmProp_Nothing | 0 = Invalid property
EdmProp_Object | 3 = IEdmObject5
EdmProp_ObjectType | 2 = EdmObjectType
EdmProp_Path | 5 = File or folder path
EdmProp_Value | 6 = Variable value
EdmProp_Vault | 7 = IEdmVault5

# See Also

####

EPDM.Interop.epdm Namespace